<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.enums.Target Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>enums</b>.<a class="el" href="classtiovx_1_1enums_1_1Target.html">Target</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.enums.Target Class Reference<br/>
<small>
[<a class="el" href="group__ENUMS.html">1: Enum APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::enums::Target" --><!-- doxytag: inherits="enum::Enum" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><a class="el" href="classtiovx_1_1enums_1_1Target.html" title="Target on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx).">Target</a> on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx). </p>
<p>Used as parameter when creating a node</p>
<dl class="user"><dt><b>Example usage:</b></dt><dd><div class="fragment"><pre class="fragment"> Target.DSP1
 Target.DSP2
</pre></div> </dd></dl>

<p><a href="classtiovx_1_1enums_1_1Target-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d4a4e0a112097ad68cc7a1ad4faaf73"></a><!-- doxytag: member="tiovx::enums::Target::INVALID" ref="a1d4a4e0a112097ad68cc7a1ad4faaf73" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a1d4a4e0a112097ad68cc7a1ad4faaf73">INVALID</a> = 1</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Placeholder for invalid target ID. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83a0acee183b124ce1cc32a89a8eeabd"></a><!-- doxytag: member="tiovx::enums::Target::DSP1" ref="a83a0acee183b124ce1cc32a89a8eeabd" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a83a0acee183b124ce1cc32a89a8eeabd">DSP1</a> = 2</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_DSP1. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4da7628b13af885931f43bc363f7643"></a><!-- doxytag: member="tiovx::enums::Target::DSP2" ref="ab4da7628b13af885931f43bc363f7643" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#ab4da7628b13af885931f43bc363f7643">DSP2</a> = 3</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_DSP2. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e188fe30fd642e7a98d877f92f110af"></a><!-- doxytag: member="tiovx::enums::Target::EVE1" ref="a7e188fe30fd642e7a98d877f92f110af" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a7e188fe30fd642e7a98d877f92f110af">EVE1</a> = 4</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_EVE1. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af573670958c02db5b245b3d3101eab59"></a><!-- doxytag: member="tiovx::enums::Target::EVE2" ref="af573670958c02db5b245b3d3101eab59" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#af573670958c02db5b245b3d3101eab59">EVE2</a> = 5</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_EVE2. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a449b8f0dc3889255b0ac5b0207ca8f85"></a><!-- doxytag: member="tiovx::enums::Target::EVE3" ref="a449b8f0dc3889255b0ac5b0207ca8f85" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a449b8f0dc3889255b0ac5b0207ca8f85">EVE3</a> = 6</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_EVE3. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2788dcf3971a10f6bbea32760db8838"></a><!-- doxytag: member="tiovx::enums::Target::EVE4" ref="ae2788dcf3971a10f6bbea32760db8838" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#ae2788dcf3971a10f6bbea32760db8838">EVE4</a> = 7</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_EVE4. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65fcfd84dc52985ecf1118c4aaa9ac2f"></a><!-- doxytag: member="tiovx::enums::Target::A15_0" ref="a65fcfd84dc52985ecf1118c4aaa9ac2f" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a65fcfd84dc52985ecf1118c4aaa9ac2f">A15_0</a> = 8</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_A15_0. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79003e324fa5566c6346378c787c6345"></a><!-- doxytag: member="tiovx::enums::Target::IPU1_0" ref="a79003e324fa5566c6346378c787c6345" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a79003e324fa5566c6346378c787c6345">IPU1_0</a> = 9</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_IPU1_0. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d1d8dd5928687b38b9f203364109bd3"></a><!-- doxytag: member="tiovx::enums::Target::IPU1_1" ref="a4d1d8dd5928687b38b9f203364109bd3" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a4d1d8dd5928687b38b9f203364109bd3">IPU1_1</a> = 10</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_IPU1_1. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c7ebd99e2a7ebddd0849557df24b78f"></a><!-- doxytag: member="tiovx::enums::Target::IPU2" ref="a5c7ebd99e2a7ebddd0849557df24b78f" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a5c7ebd99e2a7ebddd0849557df24b78f">IPU2</a> = 11</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TIOVX equivalent = TIVX_TARGET_IPU2. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34a3e398570376dc48efac8225c87b91"></a><!-- doxytag: member="tiovx::enums::Target::DEFAULT" ref="a34a3e398570376dc48efac8225c87b91" args="" -->
&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html#a34a3e398570376dc48efac8225c87b91">DEFAULT</a> = <a class="el" href="classtiovx_1_1enums_1_1Target.html#a83a0acee183b124ce1cc32a89a8eeabd">DSP1</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used internally by the tool. <br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
